<?php
//if this file is called directly, die.
if(!defined('ABSPATH')) die('please, do not call this page directly');
	
//with this function we will define the NutsForPress menu page content
if(!function_exists('nfpndx_settings_content')) {
	
	function nfpndx_settings_content() {
	
		$nfpndx_settings_content = array(
		
			array(
			
				'container-title'	=> __('Title and description for pages and posts','nfpndxlang'),
				
				'container-id'		=> 'nfpndx_title_description_container',
				'container-class' 	=> 'nfpndx-title-description-container',
				'input-name'		=> 'nfproot_title_description',
				'add-to-settings'	=> 'global',
				'data-save'			=> 'nfpndx',
				'input-id'			=> 'nfpndx_title_description',
				'input-class'		=> 'nfpndx-title-description',
				'input-description'	=> __('If switched on, title and description fields are added to pages and posts editor and their content will be used by search engines to index and to describe your website into search results','nfpndxlang'),
				'arrow-before'		=> true,
				'after-input'		=> '',
				'input-type' 		=> 'switch',
				'input-value'		=> '1',
							
				'childs'			=> array(
				
					array(
					
						'container-title'	=> __('Add Facebook Open Graph and Twitter Card','nfpndxlang'),
					
						'container-id'		=> 'nfpndx_sharing_tag_container',
						'container-class' 	=> 'nfpndx-sharing-tag-container',					
						'input-name' 		=> 'nfproot_sharing_tag',
						'add-to-settings'	=> 'global',
						'data-save'			=> 'nfpndx',
						'input-id' 			=> 'nfpndx_sharing_tag',
						'input-class'		=> 'nfpndx-sharing-tag',
						'input-description' => __('If switched on, sharing meta tags for Facebook and Twitter are added to the code of your pages and posts and they are populated with the entered title, description and featured image','nfpndxlang'),
						'arrow-before'		=> true,
						'after-input'		=> '',
						'input-type' 		=> 'switch',
						'input-value'		=> '1',
						
						'childs'			=> array(
						
							array(
							
								'container-title'	=> __('Backup featured image','nfpndxlang'),
							
								'container-id'		=> 'nfpndx_backup_featured_image_container',
								'container-class' 	=> 'nfpndx-backup-featured-image-container',					
								'input-name' 		=> 'nfproot_backup_featured_image',
								'add-to-settings'	=> 'global',
								'data-save'			=> 'nfpndx',
								'input-id' 			=> 'nfpndx_backup_featured_image',
								'input-class'		=> 'nfpndx-backup-featured-image',
								'input-description' => __('Choose a backup featured image to be used in sharing tags when no featured image is set','nfpndxlang'),
								'arrow-before'		=> false,
								'after-input'		=> array(
								
									array(
									
										'type' 		=> 'button',
										'id' 		=> 'nfpsmt_open_media_library',
										'class' 	=> 'nfproot-after-input nfpsmt-mail-test-description button secondary-button',
										'hidden' 	=> false,
										'content' 	=> __('Open Media Library','nfpndxlang'),
										'value'		=> wp_upload_dir()['baseurl'],
									
									),
								
								),
								'input-type' 		=> 'text',
								'input-value'		=> ''
								
							),	
							
							array(
							
								'container-title'	=> __('Use backup featured image for archive pages','nfpndxlang'),
							
								'container-id'		=> 'nfpndx_use_backup_featured_image_for_archives_container',
								'container-class' 	=> 'nfpndx-use-backup-featured-image-for-archives-container',					
								'input-name' 		=> 'nfproot_use_backup_featured_image_for_archives',
								'add-to-settings'	=> 'global',
								'data-save'			=> 'nfpndx',
								'input-id' 			=> 'nfpndx_use_backup_featured_image_for_archives',
								'input-class'		=> 'nfpndx-use-backup-featured-image-for-archives',
								'input-description' => __('If enabled, the above backup featured image will be included into archive pages sharing meta tags instead of the featured image of the first post','nfpndxlang'),
								'arrow-before'		=> false,
								'after-input'		=> '',
								'input-type' 		=> 'checkbox',
								'input-value'		=> ''
								
							),
													
						)
						
					),	
					

					
				),
				
			),
			
			array(
			
				'container-title'	=> __('Replace WordPress sitemap','nfpndxlang'),
				
				'container-id'		=> 'nfpndx_replace_sitemap_container',
				'container-class' 	=> 'nfpndx-replace-sitemap-container',
				'input-name'		=> 'nfproot_replace_sitemap',
				'add-to-settings'	=> 'global',
				'data-save'			=> 'nfpndx',
				'input-id'			=> 'nfpndx_replace_sitemap',
				'input-class'		=> 'nfpndx-replace-sitemap',
				'input-description'	=> sprintf(
					
						__('If switched on, default WordPress %s will be disabled, a better %s will be created and the sitemap link will be replaced into WordPress %s', 'nfpndxlang'), 
						'<a href="'.site_url().'/wp-sitemap.xml" target="_blank" title="Sitemap" alt="Sitemap" >sitemap</a>', 
						'<a href="'.site_url().'/sitemap.xml" target="_blank" title="Sitemap" alt="Sitemap">sitemap</a>',
						'<a href="'.site_url().'/robots.txt" target="_blank" title="Robots" alt="Robots">robots</a>'
						
					),
	
				'arrow-before'		=> false,
				'after-input'		=> '',
				'input-type' 		=> 'switch',
				'input-value'		=> '1',
				
			),
			
			array(
			
				'container-title'	=> __('Allow no index for pages and posts','nfpndxlang'),
				
				'container-id'		=> 'nfpndx_no_index_container',
				'container-class' 	=> 'nfpndx-no-index-container',
				'input-name'		=> 'nfproot_no_index',
				'add-to-settings'	=> 'global',
				'data-save'			=> 'nfpndx',
				'input-id'			=> 'nfpndx_no_index',
				'input-class'		=> 'nfpndx-no-index',
				'input-description'	=> __('If switched on, a checkbox is added to pages and posts editor and, where the checkbox is flagged, a meta no index is added to the post or the page haeder', 'nfpndxlang'),
				'arrow-before'		=> false,
				'after-input'		=> '',
				'input-type' 		=> 'switch',
				'input-value'		=> '1',					
				
			),
			
			array(
			
				'container-title'	=> __('Analytics and other head scripts','nfpndxlang'),
				
				'container-id'		=> 'nfpndx_head_scripts_container',
				'container-class' 	=> 'nfpndx-head-scripts-container',
				'input-name'		=> 'nfproot_head_scripts',
				'add-to-settings'	=> 'global',
				'data-save'			=> 'nfpndx',
				'input-id'			=> 'nfpndx_head_scripts',
				'input-class'		=> 'nfpndx-head-scripts',
				'input-description'	=> __('If switched on, the code in the textarea below will be added to the head section', 'nfpndxlang'),
				'arrow-before'		=> true,
				'after-input'		=> '',
				'input-type' 		=> 'switch',
				'input-value'		=> '1',	

				'childs'			=> array(
				
					array(
					
						'container-title'	=> __('Enter the code that you want to add to head','nfpndxlang'),
					
						'container-id'		=> 'nfpndx_head_code_container',
						'container-class' 	=> 'nfpndx-head-code-container',					
						'input-name' 		=> 'nfproot_head_code',
						'add-to-settings'	=> 'global',
						'data-save'			=> 'nfpndx',
						'input-id' 			=> 'nfpndx_head_code',
						'input-class'		=> 'nfpndx-head-code',
						'input-description' => __('The above code will be added to the head section of your website: be very careful since a wrong code can break your entire website','nfpndxlang'),
						'arrow-before'		=> false,
						'after-input'		=> '',
						'input-type' 		=> 'textarea',
						'input-value'		=> '',	

					),

					array(
					
						'container-title'	=> __('Skip when a user with role of admin is logged in','nfpndxlang'),
					
						'container-id'		=> 'nfpndx_skip_head_code_container',
						'container-class' 	=> 'nfpndx-skip-head-code-container',					
						'input-name' 		=> 'nfproot_skip_head_code',
						'add-to-settings'	=> 'global',
						'data-save'			=> 'nfpndx',
						'input-id' 			=> 'nfpndx_skip_head_code',
						'input-class'		=> 'nfpndx-skip-head-code',
						'input-description' => __('The above code will not be added to the head section of the website when a user with role of admin is logged in','nfpndxlang'),
						'arrow-before'		=> false,
						'after-input'		=> '',
						'input-type' 		=> 'checkbox',
						'input-value'		=> ''
						
					),				
					
				),					
				
			),
				
		);
						
		return $nfpndx_settings_content;
		
	}
	
} else {
	
	error_log('NUTSFORPRESS ERROR: function "nfpndx_settings_content" already exists');
	
}